## zerotier-1.2.4.tar.xz

=== Makefile ===
# Common makefile -- loads make rules for each platform

OSTYPE=$(shell uname -s)

ifeq ($(OSTYPE),Darwin)
	include make-mac.mk
endif

ifeq ($(OSTYPE),Linux)
	include make-linux.mk
endif

ifeq ($(OSTYPE),FreeBSD)
	CC=clang
	CXX=clang++
	ZT_BUILD_PLATFORM=7
	include make-bsd.mk
endif
ifeq ($(OSTYPE),OpenBSD)
	CC=egcc
	CXX=eg++
	ZT_BUILD_PLATFORM=9
	include make-bsd.mk
endif

=== debian/changelog ===
zerotier-one (1.2.4) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 24 Mar 2017 01:00:00 -0700

zerotier-one (1.2.2) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 17 Mar 2017 01:00:00 -0700

zerotier-one (1.2.0) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 14 Mar 2017 09:08:00 -0700

zerotier-one (1.1.14) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 21 Jul 2016 07:14:12 -0700

zerotier-one (1.1.12) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 12 Jul 2016 03:02:22 -0700

zerotier-one (1.1.10) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.
  * ZeroTier Debian packages no longer depend on http-parser since its ABI is too unstable.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 12 Jul 2016 12:29:00 -0700

zerotier-one (1.1.8) unstable; urgency=low

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 08 Jul 2016 01:56:00 -0700

zerotier-one (1.1.6) unstable; urgency=medium

  * First Debian release on ZeroTier, Inc. private apt repository.

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 24 Jun 2016 10:00:00 -0700

zerotier-one (1.1.5) UNRELEASED; urgency=medium

  * Development package -- first clean Debian packaging test.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Wed, 08 Jun 2016 10:05:01 -0700

=== debian/control ===
Source: zerotier-one
Maintainer: Adam Ierymenko <adam.ierymenko@zerotier.com>
Section: net
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dh-systemd
Vcs-Git: git://github.com/zerotier/ZeroTierOne
Vcs-Browser: https://github.com/zerotier/ZeroTierOne
Homepage: https://www.zerotier.com/

Package: zerotier-one
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, iproute2, adduser, libstdc++6
Homepage: https://www.zerotier.com/
Description: ZeroTier network virtualization service
 ZeroTier One lets you join ZeroTier virtual networks and
 have them appear as tun/tap ports on your system. See
 https://www.zerotier.com/ for instructions and
 documentation.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-O3 -fstack-protector-strong
CXXFLAGS=-O3 -fstack-protector-strong

%:
	dh $@ --with systemd

override_dh_auto_build:
	make -j 2

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

override_dh_installinit:
	dh_installinit --name=zerotier-one -- defaults
